package com.szpg.plc.message;

import java.util.Calendar;

public abstract class CommandResponse extends AppMessage {

	/**
	 * 
	 */
	private static final long serialVersionUID = 9071962711934239961L;

	private AppCommand command = null;
	
	private String destinationId;
	
	private String acucode;
	private String cmdId;
	
	public CommandResponse() {
		this.setTime(Calendar.getInstance());
	}
	
	public CommandResponse(Calendar time) {
		super();
		super.setTime(time);
	}

	public CommandResponse(Calendar time, String messageProducerId) {
		super(time, messageProducerId);
	}
	
	public AppCommand getCommand() {
		return command;
	}

	public void setCommand(AppCommand command) {
		this.command = command;
	}
	
	public String getDestinationId() {
		return destinationId;
	}

	public void setDestinationId(String destinationId) {
		this.destinationId = destinationId;
	}

	public String getAcucode() {
		return acucode;
	}

	public void setAcucode(String acucode) {
		this.acucode = acucode;
	}

	public String getCmdId() {
		return cmdId;
	}

	public void setCmdId(String cmdId) {
		this.cmdId = cmdId;
	}

	public abstract void afterAction();
	
	public abstract void parseData(byte[] messageData);
}
